Name:           konvert
Summary:        GUI to batch convert files.
Version:        0.8
Release: %mkrel 6
Source:         %{name}-%{version}.tar.bz2
Patch0:         konvert-0.8.gcc34.patch.bz2
Patch1:		konvert-automake.patch.bz2
URL:            http://sourceforge.net/projects/konvert/
Group:          Archiving/Other
BuildRoot:      %_tmppath/%{name}-%{version}-%{release}-buildroot
License:		GPL
BuildRequires:	kdelibs-devel
Buildrequires:  mandriva-create-kde-mdk-menu

%description
GUI to batch convert files (images, audio files, office documents, 
archive files,...).

%prep

%setup -q -n%name
%patch0 -p0
%patch1 -p1 -b .automake

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System/Archiving/Other" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/konvert.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/konvert
%_menudir/konvert
%_datadir/applnk/Utilities/konvert.desktop
%_datadir/apps/konvert/konvertui.rc


%changelog
* Fri May 26 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8-6mdk
- patch1: accept automake 1.8.x and 1.9.x

* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8-5mdk
- drop BuildRequires: automake1.6

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-4mdk
- Fix Build
- use mkrel

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8-3mdk
- Rebuild

* Wed Jul 14 2004 Michael Scherer <misc@mandrake.org> 0.8-2mdk 
- rebuild for new gcc
- clean spec file

* Wed May 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- Initial package

